AFPPageSetup (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.afp.extensions

## Class AFPPageSetup

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPPageSetup

- All Implemented Interfaces:
    java.io.Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable
  Direct Known Subclasses:
    AFPPageSegmentElement.AFPPageSegmentSetup

      public class AFPPageSetup
      extends AFPExtensionAttachment

  This is the pass-through value object for the AFP extension.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ATT_ENCODING`
    `protected static java.lang.String` | `ATT_PLACEMENT` placement attribute
    `protected static java.lang.String` | `ATT_VALUE` value attribute
    `protected java.lang.String` | `content` the extension content
    `protected int` | `encoding` the CCSID character set encoding
    `protected ExtensionPlacement` | `placement` defines where to place the extension in the generated file
    `protected java.lang.String` | `value` the extension value attribute

    - ### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `ATT_NAME, CATEGORY, elementName, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPPageSetup(java.lang.String elementName)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContent()` Returns the content of the extension.
    `int` | `getEncoding()`
    `ExtensionPlacement` | `getPlacement()` Returns the intended placement of the extension inside the generated file.
    `java.lang.String` | `getValue()` Returns the value of the extension.
    `void` | `setContent(java.lang.String content)` Sets the data
    `void` | `setEncoding(int encoding)`
    `void` | `setPlacement(ExtensionPlacement placement)` Sets the intended placement of the extension inside the generated file.
    `void` | `setValue(java.lang.String source)` Sets the value
    `void` | `toSAX(org.xml.sax.ContentHandler handler)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `getCategory, getElementName, getName, hasName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ATT_VALUE

          protected static final java.lang.String ATT_VALUE

      value attribute
      See Also:
        Constant Field Values

    - #### ATT_ENCODING

          protected static final java.lang.String ATT_ENCODING

      See Also:
        Constant Field Values

    - #### ATT_PLACEMENT

          protected static final java.lang.String ATT_PLACEMENT

      placement attribute
      See Also:
        Constant Field Values

    - #### content

          protected java.lang.String content

      the extension content

    - #### value

          protected java.lang.String value

      the extension value attribute

    - #### placement

          protected ExtensionPlacement placement

      defines where to place the extension in the generated file

    - #### encoding

          protected int encoding

      the CCSID character set encoding

  - ### Constructor Detail

    - #### AFPPageSetup

          public AFPPageSetup(java.lang.String elementName)

      Default constructor.
      Parameters:
        `elementName` - the name of the setup code object, may be null

  - ### Method Detail

    - #### getEncoding

          public int getEncoding()

      Returns:
        CCSID character set encoding

    - #### setEncoding

          public void setEncoding(int encoding)

      Parameters:
        `encoding` - CCSID character set encoding

    - #### getValue

          public java.lang.String getValue()

      Returns the value of the extension.
      Returns:
        the value

    - #### setValue

          public void setValue(java.lang.String source)

      Sets the value
      Parameters:
        `source` - The value name to set.

    - #### getContent

          public java.lang.String getContent()

      Returns the content of the extension.
      Returns:
        the data

    - #### setContent

          public void setContent(java.lang.String content)

      Sets the data
      Parameters:
        `content` - The byte data to set.

    - #### getPlacement

          public ExtensionPlacement getPlacement()

      Returns the intended placement of the extension inside the generated file.
      Returns:
        the intended placement

    - #### setPlacement

          public void setPlacement(ExtensionPlacement placement)

      Sets the intended placement of the extension inside the generated file.
      Parameters:
        `placement` - the intended placement

    - #### toSAX

          public void toSAX(org.xml.sax.ContentHandler handler)
                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.